build: specify pre-v2 change version of ndn-cxx, ChronoSync in Jenkins file
Change-Id: I4c1a13542444821df6455958cdbbd9685c017337
refs: #3920 #4119
diff --git a/.jenkins.d/11-chronosync.sh b/.jenkins.d/11-chronosync.sh
index 6fb1d9f..1f7d6c1 100755
--- a/.jenkins.d/11-chronosync.sh
+++ b/.jenkins.d/11-chronosync.sh
@@ -17,28 +17,31 @@
fi
fi
-if [[ -z $INSTALLED_VERSION ]]; then
- INSTALLED_VERSION=$((cd ChronoSync && git rev-parse HEAD) 2>/dev/null || echo NONE)
-fi
+# if [[ -z $INSTALLED_VERSION ]]; then
+# INSTALLED_VERSION=$((cd ChronoSync && git rev-parse HEAD) 2>/dev/null || echo NONE)
+# fi
sudo rm -Rf ChronoSync-latest
-
-git clone --depth 1 git://github.com/named-data/ChronoSync ChronoSync-latest
-
-LATEST_VERSION=$((cd ChronoSync-latest && git rev-parse HEAD) 2>/dev/null || echo UNKNOWN)
-
-if [[ $INSTALLED_VERSION != $LATEST_VERSION ]]; then
- sudo rm -Rf ChronoSync
- mv ChronoSync-latest ChronoSync
-else
- sudo rm -Rf ChronoSync-latest
+## Remove line when #3920 and #4119 merge.
+if [ ! -d "ChronoSync-hotfix" ]; then
+ git clone git://github.com/named-data/ChronoSync ChronoSync-hotfix
fi
+# LATEST_VERSION=$((cd ChronoSync-latest && git rev-parse HEAD) 2>/dev/null || echo UNKNOWN)
+
+# if [[ $INSTALLED_VERSION != $LATEST_VERSION ]]; then
+# sudo rm -Rf ChronoSync
+# mv ChronoSync-latest ChronoSync
+# else
+# sudo rm -Rf ChronoSync-latest
+# fi
+
sudo rm -Rf /usr/local/include/ChronoSync
sudo rm -f /usr/local/lib/libChronoSync*
sudo rm -f /usr/local/lib/pkgconfig/ChronoSync*
-pushd ChronoSync >/dev/null
+pushd ChronoSync-hotfix >/dev/null
+git checkout 097bb448f46b8bd9a5c1f431e824f8f6a169b650
if has FreeBSD10 $NODE_LABELS; then
export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig/